Upgrading from 2.4.x to 2.5.0

Added by Leonardo Ramé almost 8 years ago

Hi, I'm using 2.4.4 from SVN and usually I follow RedmineUpgrade for keeping up to date, but now that 2.5.0 is out I would like to change to that branch.

Currently I'm on: http://svn.redmine.org/redmine/branches/2.4-stable

Thanks in advance,
Leonardo.

Replies (6)

RE: Upgrading from 2.4.x to 2.5.0 - Added by Steph T over 7 years ago

I'm new to Redmine (but loving it) and I'm not used to SVN but here is what worked for me (I started from an earlier 2.4.x version so will include that):

  1. go to the base redmine directory on your server
  2. run "svn info" to see what revision you are at (also on Administration>Information page of redmine)
  3. run "svn update" which upgraded me to revision 12955
  4. run "svn info" to make sure (Administration>Information page says 2.4.4) - URL is still ...2.4-stable branch
  5. run "svn switch http://svn.redmine.org/redmine/branches/2.5-stable" which changes branches and automatically updates
  6. running "svn info" still shows revision 12955
  7. run "bundle install" to install any new gems
  8. run "rake db:migrate RAILS_ENV=production" to upgrade the database for redmine core
  9. run "rake redmine:plugins:migrate RAILS_ENV=production" to upgrade the database for changes in the plugins (probably redundant as we haven't touched the plugins but doesn't hurt)
  10. run "touch tmp/restart.txt" to get force redmine to restart on next page request

Probably some of the above is superfluous (maybe you can go directly from switching branches - step 5) but this worked for me.

I don't quite understand how you can have revision 12955 in both 2.4.4 and 2.5 - maybe this is the forking point.

If any of the above is incorrect please do shout - I'd love to understand it properly.

Good luck!

RE: Upgrading from 2.4.x to 2.5.0 - Added by Leonardo Ramé over 7 years ago

Thanks Steph T, I think this should be added to http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

BTW, is 2.5.0 production code?

RE: Upgrading from 2.4.x to 2.5.0 - Added by Steph T over 7 years ago

I assume that 2.5.0 is production code as it is 'stable' and is at the top of the download page, but I might have misunderstood that.

RE: Upgrading from 2.4.x to 2.5.0 - Added by Bobby Dawson over 7 years ago

I have had an issue with this...

The update went fine...except I'm now missing every single image in Redmine.

RE: Upgrading from 2.4.x to 2.5.0 - Added by Ivan Cenov over 7 years ago

Steph T wrote:

I'm new to Redmine (but loving it) and I'm not used to SVN but here is what worked for me (I started from an earlier 2.4.x version so will include that):

  1. go to the base redmine directory on your server
  2. run "svn info" to see what revision you are at (also on Administration>Information page of redmine)
  3. run "svn update" which upgraded me to revision 12955
  4. run "svn info" to make sure (Administration>Information page says 2.4.4) - URL is still ...2.4-stable branch
  5. run "svn switch http://svn.redmine.org/redmine/branches/2.5-stable" which changes branches and automatically updates
  6. running "svn info" still shows revision 12955
  7. run "bundle install" to install any new gems
  8. run "rake db:migrate RAILS_ENV=production" to upgrade the database for redmine core
  9. run "rake redmine:plugins:migrate RAILS_ENV=production" to upgrade the database for changes in the plugins (probably redundant as we haven't touched the plugins but doesn't hurt)
  10. run "touch tmp/restart.txt" to get force redmine to restart on next page request

Probably some of the above is superfluous (maybe you can go directly from switching branches - step 5) but this worked for me.

I don't quite understand how you can have revision 12955 in both 2.4.4 and 2.5 - maybe this is the forking point.

If any of the above is incorrect please do shout - I'd love to understand it properly.

Good luck!

Why do you use branches? I think it is better to use tags: source:/tags/2.4.4, source:/tags/2.5.0 etc.
branches/2.x.x.stable receive merges from time to time from trunk.

RE: Upgrading from 2.4.x to 2.5.0 - Added by Ruslan Kuksa over 7 years ago

Hello guys!

I've a trouble with redmine_tkgmap plugin.
It works on 2.4.x perfectly, but not in 2.5.1, just installed or upgraded.

How to install plugins with same errors?

root@redmine:/opt/redmine-2.5.1-1/apps/redmine/htdocs# ruby bin/rake redmine:plugins:migrate
RAILS_ENV=production
rake aborted!
uninitialized constant Redmine::CustomFieldFormat
/opt/redmine-2.5.1-1/apps/redmine/htdocs/plugins/redmine_tkgmap/init.rb:20:in `<top (required)>'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/lib/redmine/plugin.rb:133:in `block in load'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/lib/redmine/plugin.rb:124:in `each'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/lib/redmine/plugin.rb:124:in `load'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/config/initializers/30-redmine.rb:19:in `<top (required)>'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/engine.rb:593:in `block (2 levels) in <class:Engine>'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/engine.rb:592:in `each'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/engine.rb:592:in `block in <class:Engine>'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:30:in `instance_exec'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:30:in `run'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:55:in `block in run_initializers'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:54:in `each'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:54:in `run_initializers'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:136:in `initialize!'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/railtie/configurable.rb:30:in `method_missing'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/config/environment.rb:14:in `<top (required)>'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:103:in `require_environment!'
/opt/redmine-2.5.1-1/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:305:in `block (2 levels) in initialize_tasks'
Tasks: TOP => redmine:plugins:migrate => environment
(See full trace by running task with --trace)

root@redmine:/opt/redmine-2.5.1-1/apps/redmine/htdocs# ls -l plugins/
total 8
-rw-rw-r-- 1 root daemon   31 Mar 29 16:56 README
drwxr-xr-x 8 root root   4096 May 11 13:02 redmine_tkgmap

(1-6/6)